behat/mink-goutte-driver

This package is abandoned and no longer maintained. The author suggests using the behat/mink-browserkit-driver package instead.

Goutte driver for Mink framework

Installs: 35 829 042

Dependents: 386

Suggesters: 10

Security: 0

Stars: 302

Watchers: 8

Forks: 54

Open Issues: 3

Type:mink-driver

v2.0.0 2021-12-29 10:56 UTC

This package is auto-updated.

Last update: 2023-06-12 09:32:18 UTC


README

Latest Stable Version Latest Unstable Version Total Downloads CI License codecov

Deprecation

Given that the Goutte project is deprecated in favor of using the symfony/http-client and symfony/browser-kit projects directly, this driver is deprecated in favor of behat/mink-browserkit-driver and won't be updated anymore.

Usage Example

<?php

require "vendor/autoload.php";

use Behat\Mink\Mink,
    Behat\Mink\Session,
    Behat\Mink\Driver\GoutteDriver,
    Goutte\Client as GoutteClient;

$mink = new Mink(array(
    'goutte' => new Session(new GoutteDriver(new GoutteClient())),
));

$session = $mink->getSession('goutte');
$session->visit("http://php.net/");
$session->getPage()->clickLink('Downloads');
echo $session->getCurrentUrl() . PHP_EOL;

Installation

Add a file composer.json with content:

{
    "require": {
        "behat/mink":               "^1.9",
        "behat/mink-goutte-driver": "^2.0"
    }
}

(or merge the above into your project's existing composer.json file)

$> curl -sS https://getcomposer.org/installer | php
$> php composer.phar install

Maintainers